<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Corporate Income Tax Schema - Net Unrealized Built-In Gain Schedule</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 17, 2018</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>


	<!-- ================================================= -->
	<!-- ===== Net Unrealized Built-In Gain Schedule ===== -->
	<!-- ================================================= -->


	<xsd:element name="NetUnrealizedBuiltInGainSch">
		<xsd:annotation>
			<xsd:documentation>Net Unrealized Built-In Gain Schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="NetUnrealizedBuiltInGainSchType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="NetUnrealizedBuiltInGainSchedule">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="NetUnrealizedBuiltInGainSchType">
		<xsd:annotation>
			<xsd:documentation>Content model for net unrealized built-in gain schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>

			<!-- Net Unrealized Built-In Gain -->
			<xsd:element name="NetUnrealizedBuiltInGainGrp" type="NetUnrealizedBuiltInGainGrpType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Net unrealized built-in gain</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Total Net Unrealized Built-In Gain of all Asset Pools-->
			<xsd:element name="NetUnrealizedBuiltInGainTotAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Total net unrealized built-in gain of all asset pools</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

	<!-- Type for Repeating Group - Net Unrealized Built-In Gain Schedule -->
	<xsd:complexType name="NetUnrealizedBuiltInGainGrpType">
		<xsd:sequence>

			<!-- Description of Asset Pool -->
			<xsd:element name="AssetPoolDesc" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Description of asset pool</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Net Unrealized Built-In Gain of Asset Pool Reduced by Net Recognized Built-In Gain from Prior Years -->
			<xsd:element name="NetUnrlzdRedPYNetRcgnzGainAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Net unrealized built-in gain of asset pool reduced by net recognized built-in gain from prior years</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
